Die Inventor FAQ wird unterstützt von:

Inventor FAQ Logo

04.05.2017

Keine Abfrage bei neuer Zeichnung mit angeforderter Eingabe (VBA / iLogic)

Wer eine Vorlage mit angeforderter Eingabe hat, wird direkt bei der Neuerstellung bei der Wahl der Vorlage nach dem Text der angeforderter Eingabe gefragt.

image ==> image

Wie wir das verhindern können um den Wert erst später einzugeben, seht ihr hier

Sub Zeichnung_erstellen()
    Dim Vorlagenpfad As String
    '****** Pfad zur Vorlagendatei anpassen ******
    Vorlagenpfad = "C:\_DOCS\Samples + Tutorial Files Inventor\Einstellungen\Vorlagen\Vorlage.idw"
    'Meldung des Inventors abschalten
    ThisApplication.SilentOperation = True
    'Bei einem Fehler auf alle Fälle noch den SilentMode beeenden!
    On Error GoTo Error
    Dim oDrawDoc As DrawingDocument
    Set oDrawDoc = ThisApplication.Documents.Add(kDrawingDocumentObject, Vorlagenpfad)
    'Wenn alles bis hier geklappt hat, dann gehen wor über das Sprungziel
    'und schalten den SilentMode wieder aus
Error:
    ThisApplication.SilentOperation = False
End Sub

Den Quelltext einfach in das Anwendungs-VBA-Projekt kopieren und ein Icon einrichten. Wie das geht, habe ich hier beschrieben.

image

Wird nun darauf geklickt, wird eine neue Datei erstellt ohne das die angeforderte Eingabe abgefragt wird. Die angeforderte Eingabe kann einfach später über den Browser geändert.

image ==> image

Hier noch der Quelltext als iLogic-Code:

Sub Main()
    Dim Vorlagenpfad As String
    '****** Pfad zur Vorlagendatei anpassen ******
    Vorlagenpfad = "C:\_DOCS\Samples + Tutorial Files Inventor\Einstellungen\Vorlagen\Vorlage.idw"
    'Meldung des Inventors abschalten
    ThisApplication.SilentOperation = True
    'Bei einem Fehler auf alle Fälle noch den SilentMode beeenden!
Try
    Dim oDrawDoc As DrawingDocument
    oDrawDoc = ThisApplication.Documents.Add(kDrawingDocumentObject, Vorlagenpfad)
    'Wenn alles bis hier geklappt hat, dann gehen wor über das Sprungziel
    'und schalten den SilentMode wieder aus
	ThisApplication.SilentOperation = False
Catch
    ThisApplication.SilentOperation = False
End Try 

End Sub

Danke an meinen Kollegen Jens für die Idee!

Keine Kommentare:

Kommentar veröffentlichen

War der Beitrag hilfreich oder hast du eine Ergänzung dazu?
Ist noch eine Frage offen?
Ich freue mich auf deine Rückmeldung!

Related Posts Plugin for WordPress, Blogger...
Inventor FAQ Newsletter. Emailadresse: